Conversations

Initiate Googlechat

Initiates conversation with the googlechat integration

post
/v1/integration/googlechat/{googlechatIntegrationId}/initiate

Authorization

ChatBotKit API Secret * Required

HTTP Authorization Scheme: bearer

Request Body * Required

Request Body Schema: application/json

spacestring

The Google Chat space resource name to send to, such as spaces/AAAA..., or a Google Chat user identifier for a direct message

textstring

The text message to send to the Google Chat space

import { ChatBotKit } from '@chatbotkit/sdk'

const cbk = new ChatBotKit({

secret: process.env.CHATBOTKIT_API_KEY!

})

const response = await cbk.integration.googlechat.initiate(

googlechatIntegrationId,
{
"space":"string",
"text":"string"
}
)
{
"id":"string"
}
The googlechat integration was successfully initiated